# Deprecated API

## Contents

- Methods
- Constructors

Deprecated Methods
Method
Description
org.jboss.logmanager.ExtHandler.checkAccess()
use `ExtHandler.checkAccess(ExtHandler)`
org.jboss.logmanager.handlers.SyslogHandler.isEscapeEnabled()
escaping message values is not required per RFC5424 and is no longer supported in this handler
org.jboss.logmanager.handlers.SyslogHandler.setEscapeEnabled(boolean)
escaping message values is not required per RFC5424 and is no longer supported in this handler

Deprecated Constructors
Constructor
Description
org.jboss.logmanager.handlers.TcpOutputStream(Socket)
Use `TcpOutputStream(ClientSocketFactory, boolean)`